Name:          simple
Version:       4.1.21
Release:       %mkrel 4
Summary:       Asynchronous HTTP server for Java
Group:         Development/Java
License:       ASL 2.0 and LGPLv2+
URL:           http://www.simpleframework.org/
Source0:       http://sourceforge.net/projects/simpleweb/files/simpleweb/%{version}/%{name}-%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/org/simpleframework/%{name}/%{version}/%{name}-%{version}.pom
# simple package don't include the license file
Source2:       http://www.apache.org/licenses/LICENSE-2.0.txt
# add system junit
Patch0:        %{name}-%{version}-test-build.patch
# include FileIndexer.properties in jar file
Patch1:        %{name}-%{version}-include-resources.patch
# fix test build for java7+
Patch2:        %{name}-%{version}-jdk7.patch
Patch3:        simple-4.1.21-disable-tests.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
# test deps
BuildRequires: junit
BuildRequires: ant-junit

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Simple is a high performance asynchronous HTTP server for Java.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
# cleanup
rm -r javadoc/* test/report/*
find . -name "*.class" -delete
find . -name "*.jar" -delete

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1

cp -p %{SOURCE1} pom.xml
cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%ant -Djar.path=target -Djavadoc.path=target/site/apidocs all

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE-2.0.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE-2.0.txt



%changelog

* Wed Jan 16 2013 dmorgan <dmorgan> 4.1.21-4.mga3
+ Revision: 388674
- Disable tests

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 4.1.21-3.mga3
+ Revision: 293230
- imported package simple


* Thu Aug 09 2012 gil cattaneo <puntogil@libero.it> 4.1.21-3
- Installed proper license file

* Wed Aug 08 2012 gil cattaneo <puntogil@libero.it> 4.1.21-2
- Removed maven part
- Installed license file

* Tue Jul 24 2012 gil cattaneo <puntogil@libero.it> 4.1.21-1
- initial rpm
